// http://akelpad.sourceforge.net/forum/viewtopic.php?p=2023#2023
// Description(1033): Delete leading and trailing spaces selected or all text
// Description(1049): Убирает пустые символы по краям текста
// Version: 3.6 (2016.03.26)
// Author: VladSh

if (! AkelPad.Include("selCompleteLine.js")) WScript.Quit();
oCh.runWithRedraw();

function process() {
	oCh.Text = oCh.getSelTextAll();
	oStr.flags = "gm";
	oCh.Text = oStr.trim(oCh.Text, " \t \u3000"); // "\u3000" is Full-width space
}